## $Id: interfaces.py 12803 2015-03-20 18:51:29Z henrik $
##
## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
from zope import schema
from waeup.ikoba.products.interfaces import IProduct
from ikobacustom.pcn.interfaces import MessageFactory as _


class IPCNProduct(IProduct):
    """A representation of a pcn product.

    """

    contract_year = schema.Int(
        title=u'Year of License',
        description=_(u'Enter 4-digit license year.'),
        required=False,
        min=1990,
        max=2050,
        )

IPCNProduct['contract_year'].order = IPCNProduct['valid_from'].order